//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 4 textures and 32 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/31/1998    (31.10.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-4.550, 6.800, 5.000>
  direction <0.0,     0.0,  1.2659>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <-2.250, 3.600, 6.800>
  // Focal blur settings
  focal_point  <-2.250, 3.600, 6.800> // Always Lookat
  aperture     0.3
  blur_samples 100
  confidence   0.999
  variance     0.0001
}

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <-10.450, 14.450, 21.800>
  color rgb <1.563, 1.495, 1.441>
}


//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//
// ********  TEXTURES  *******
//

#include "rainbow.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare Sphere001 = object {
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.08, 0.08, 0.095>
    translate  <-0.1, 0.75, 0.35>
  }
}
#declare Group001 = union {
  object { // Sphere10->Sphere001
    Sphere001
    scale 1.05
    rotate -153.0*z
    translate  <-1.2, 9.55, 0.1>
  }
  object { // Sphere9->Sphere001
    Sphere001
    rotate -16.0*z
    translate  <0.4, 7.55, 0.95>
  }
  object { // Sphere8->Sphere001
    Sphere001
    scale 0.8
    rotate 121.0*z
    translate  <1.5, 6.7, 1.85>
  }
  object { // Sphere7->Sphere001
    Sphere001
    scale 0.75
    rotate -102.0*z
    translate  <1.9, 5.25, 1.1>
  }
  object { // Sphere6->Sphere001
    Sphere001
    scale 0.95
    rotate 35.0*z
    translate  <0.35, 3.25, 0.35>
  }
  object { // Sphere5->Sphere001
    Sphere001
    scale 1.05
    rotate 172.0*z
    translate  <-0.4, 4.45, -0.9>
  }
  object { // Sphere4->Sphere001
    Sphere001
    scale 0.85
    rotate -51.0*z
    translate  <0.8, 1.9, 0.6>
  }
  object { // Sphere3->Sphere001
    Sphere001
    scale 1.1
    rotate 86.0*z
    translate  <0.4, 3.15, -0.3>
  }
  object { // Sphere2->Sphere001
    Sphere001
    scale 0.9
    rotate -137.0*z
    translate  <-0.3, 2.15, 0.5>
  }
  object { Sphere001 }
  translate  <-3.25, 2.9, 0.0>
}
#declare Group002 = union {
  object { // Group10->Group001
    Group001
    rotate <-180.0, -27.0, -180.0>
    translate  9.0*x
  }
  object { // Group9->Group001
    Group001
    rotate -16.0*y
    translate  8.0*x
  }
  object { // Group8->Group001
    Group001
    rotate <-180.0, 59.0, -180.0>
    translate  7.0*x
  }
  object { // Group7->Group001
    Group001
    rotate <-180.0, -78.0, -180.0>
    translate  6.0*x
  }
  object { // Group6->Group001
    Group001
    rotate 35.0*y
    translate  5.0*x
  }
  object { // Group5->Group001
    Group001
    rotate <-180.0, 8.0, -180.0>
    translate  4.0*x
  }
  object { // Group4->Group001
    Group001
    rotate -51.0*y
    translate  3.0*x
  }
  object { // Group3->Group001
    Group001
    rotate 86.0*y
    translate  2.0*x
  }
  object { // Group2->Group001
    Group001
    rotate <-180.0, -43.0, -180.0>
    translate  1.0*x
  }
  object { Group001 }
  translate  <-5.7, -7.15, 1.55>
}




//
// ********  OBJECTS  *******
//

sphere { // Sphere002
  <0,0,0>,1
  texture {
    Shadow_Clouds
  }
  hollow
  scale 2000.0
  rotate <-89.885887, -10.0, -53.358051>
}


plane { // Plane001
  z,0
  texture {
    Grass
  }
}


union { // Group003
  object { // Group19->Group002
    Group002
    rotate -153.0*z
    translate  9.0*z
  }
  object { // Group18->Group002
    Group002
    rotate -16.0*z
    translate  8.0*z
  }
  object { // Group17->Group002
    Group002
    rotate 121.0*z
    translate  7.0*z
  }
  object { // Group16->Group002
    Group002
    rotate -102.0*z
    translate  6.0*z
  }
  object { // Group15->Group002
    Group002
    rotate 35.0*z
    translate  5.0*z
  }
  object { // Group14->Group002
    Group002
    rotate 172.0*z
    translate  4.0*z
  }
  object { // Group13->Group002
    Group002
    rotate -51.0*z
    translate  3.0*z
  }
  object { // Group12->Group002
    Group002
    rotate 86.0*z
    translate  2.0*z
  }
  object { // Group11->Group002
    Group002
    rotate -137.0*z
    translate  1.0*z
  }
  object { Group002 }
  translate  <-0.05, 0.5, 3.65>
  texture {
    Drops
  }
}




disc { // Disc001
  <0,0,0>, <0,0,1>, 1.0
  texture {
    Rainbow
  }
  no_shadow
  scale 50.0
  rotate <-45.0, -90.0, 0.0>
  translate  <31.1, 3.35, -10.8>
}


